FindTopology
Prev | 10.3. Topology and TopoGeometry Management | Next

## Name

FindTopology — Returns a topology record by different means.

## Synopsis

`topology FindTopology(`TopoGeometry topogeom`)`;

`topology FindTopology(`regclass layerTable, name layerColumn`)`;

`topology FindTopology(`name layerSchema, name layerTable, name layerColumn`)`;

`topology FindTopology(`text topoName`)`;

`topology FindTopology(`int id`)`;

## Description

Takes a topology identifier or the identifier of a topology-related object and returns a topology.topology record.

Availability: 3.2.0

## Examples

    SELECT name(findTopology('features.land_parcels', 'feature'));
       name
    -----------
     city_data
    (1 row)

## See Also

FindLayer

Prev | Up | Next
ValidateTopologyRelation | Home | FindLayer